Name:           amahi-pba
Version: 1.1
Release:       1

Summary:        PBA - The Personal Backup Appliance for Amahi

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hda-platform >= 0.59
Requires: hda-app-pba-base >= 0.1
Requires: hdactl > 1.57
Requires: tftp-server
Requires: nfs-utils
Requires: amahi-netboot
Obsoletes: hda-app-pba

%define debug_package %{nil}

%description
PBA - The Personal Backup Appliance

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/pba/html
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/pba/logs
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/pba/backups/data

mkdir -p $RPM_BUILD_ROOT/var/hda/platform/apps/pba
rsync -a app/ $RPM_BUILD_ROOT/var/hda/platform/apps/pba/
rsync -Ca html/ $RPM_BUILD_ROOT/var/hda/apps/pba/html

%clean
rm -rf $RPM_BUILD_ROOT

%post

# configure nfs daemon 
if ( ! grep -q /var/hda/apps/pba/client /etc/exports ) ; then
	echo '## automatically added by hda-app-pba' >> /etc/exports
	echo '/var/hda/apps/pba/client *(ro,insecure,all_squash,async)' >> /etc/exports
	echo '/var/hda/apps/pba/backups *(rw,insecure,all_squash,async,anonuid=48,anongid=48)' >> /etc/exports
	/sbin/chkconfig --levels 345 nfs on
	/sbin/chkconfig --levels 345 nfslock on
	/sbin/service nfs reload &> /dev/null
	/usr/sbin/exportfs -r
fi

/bin/rm -f /var/hda/apps/pba/08-pba.conf
# ln -sf /var/hda/apps/pba/client/iso/pba-rescue/pba.tgz /var/hda/apps/pba/html
/usr/bin/hda-alias add pba

%preun
# if number of instances is 0 it's a complete uninstall
# vs. > 0 if upgrade (in which case, check with if [ "$1" -ge "1" ]; then ...)
if [ "$1" = 0 ]; then
	# not an update, a complete uninstall
	sed -i.bak -e '{ s|/var/hda/apps/pba.*$||; s|## automatically added by hda-app-pba.*$||; /^$/d; }' /etc/exports
	/usr/sbin/exportfs -r
	/usr/bin/hda-alias rm pba
	/bin/rm -f %{_sysconfdir}/httpd/conf.d/08-pba.conf
	/sbin/service httpd reload &> /dev/null
else
	# upgrade
	sed -i.bak -e '{ s|/var/hda/apps/pba/backups.*$||; /^$/d; }' /etc/exports
	echo '/var/hda/apps/pba/backups *(rw,insecure,all_squash,async,anonuid=48,anongid=48)' >> /etc/exports
	/usr/sbin/exportfs -r
	ln -sf /var/hda/apps/pba/client/iso/pba-rescue/pba.tgz /var/hda/apps/pba/html
	/sbin/service httpd reload &> /dev/null
fi

%files
%defattr(-,root,root,-)
%attr(-, apache, apache) /var/hda/apps/pba/backups
%attr(-, apache, apache) /var/hda/apps/pba/backups/data
%attr(-, apache, apache) /var/hda/platform/apps/pba/*
%attr(-, apache, apache) /var/hda/apps/pba/html
%attr(-, apache, apache) /var/hda/apps/pba/logs

%changelog
* Sat May 12 2007 Carlos Puchol
- initial version
